6.0.0-git
2019-03-24

[#8335] errors on reading emails with empty body
Summary errors on reading emails with empty body
Queue IMP
Queue Version Git master
Type Bug
State Resolved
Priority 1. Low
Owners slusarz (at) horde (dot) org
Requester rsalmon (at) mbpgroup (dot) com
Created 2009-06-09 (3575 days ago)
Due
Updated 2009-06-11 (3573 days ago)
Assigned 2009-06-09 (3575 days ago)
Resolved 2009-06-11 (3573 days ago)
Milestone
Patch No

History
2009-06-11 09:40:33 Michael Slusarz Comment #3
State ⇒ Resolved
Reply to this comment
Fixed.
2009-06-09 09:28:07 Jan Schneider Assigned to Michael Slusarz
State ⇒ Assigned
 
2009-06-09 09:26:15 rsalmon (at) mbpgroup (dot) com Comment #2 Reply to this comment
I've just updated from git now.



Now I get the following only when viewing the email

- in apache's log file :

PHP Notice:  Undefined offset:  1 in 
/usr/share/pear/Horde/Imap/Client/Socket.php on line 3181, referer: 
http://xx.xx.xx/horde/imp/mailbox.php?mailbox=INBOX.Spam&page=2

- horde.log

HORDE [error] [imp] IMAP read error. [pid 24431 on line 3237 of 
"/usr/share/pear/Horde/Imap/Client/Socket.php"]



but no errors when consulting the messages view panel.


2009-06-09 07:35:12 rsalmon (at) mbpgroup (dot) com Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ errors on reading emails with empty body
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ No
New Attachment: email.elm Download
Reply to this comment
When I receive a message with an empty body,

- In the message view I get the following error :

Notice: Undefined offset: 1 in 
/usr/share/pear/Horde/Imap/Client/Socket.php on line 3184



- In /tmp/horde.log, I get the following error :

HORDE [error] [imp] IMAP read error. [pid 24430 on line 3240 of 
"/usr/share/pear/Horde/Imap/Client/Socket.php"]








Saved Queries